# Class: AdditiveNoiseAugmenter

## AdditiveNoiseAugmenter(sigma)

Add a truncated normal noise When used with tfjs, this noise generator is much faster

## Constructor

#### new AdditiveNoiseAugmenter(sigma)

##### Parameters:

Name | Type | Description
--- | --- | ---

`sigma`

Object | Number | Hasard

options, if number, this is sigma

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`mean` | Number | <optional> | 0 | `mean` of the gaussian distribution
`sigma` | Number |  |  | `sigma` of the gaussian distribution
`scale` | Number | <optional> | 1 | if `scale` is defined (0 < scale < 1), then the noise can apply at a less granular scale
`perChannel` | Number | <optional> | false | If perChannel is true, then the sampled values may be different per channel (and pixel).

Source:
  - additive-truncated-normal-noise.js, line 40

##### Examples

    // Simple usage
    ia.additiveNoise(3);
    // alias of
    ia.additiveTruncatedNormalNoise(3);

    //Simple usage with random variable
    ia.additiveTruncatedNormalNoise(h.number(0, 3));

    // Explicit usage with random variable
    ia.additiveTruncatedNormalNoise({
    	sigma: 3,
    	scale: 0.5,
    	perChannel: true,
    	mean: 5
    });

    // Explicit usage with random variable
    ia.additiveNoise({
    	sigma: h.integer(0, 3),
    	scale: h.number(0.2, 1),
    	perChannel: h.boolean(),
    	mean: h.number(-5, 5)
    });